net.sf.statcvs.pages

## Class PageGroup

- java.lang.Object
- - net.sf.statcvs.pages.PageGroup

All Implemented Interfaces:
  NavigationNode

    public class PageGroup
    extends java.lang.Object
    implements NavigationNode

### Constructor Summary

Constructors
Constructor and Description
`PageGroup(java.lang.String title)`
`PageGroup(java.lang.String title, boolean connectSiblings)`

### Method Summary

Methods
`void` `add(NavigationNode page)`
`java.lang.String` `asLinkList()`
`java.lang.String` `asParentLink()`
`java.lang.String` `getFullTitle()`
`java.lang.String` `getShortTitle()`
`java.lang.String` `getURL()`
`void` `setParent(NavigationNode parentPage)` Sets the page's parent.
`void` `setShowLinkToPreviousSibling(boolean showLink)`
`void` `setSiblings(java.lang.String siblingsTitle, java.util.List siblingPages)` Sets a list of `Page`s that are siblings of this page.
`void` `write()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageGroup

    public PageGroup(java.lang.String title)

#### PageGroup

    public PageGroup(java.lang.String title,
             boolean connectSiblings)

### Method Detail

#### add

    public void add(NavigationNode page)

#### setParent

    public void setParent(NavigationNode parentPage)

Description copied from interface: `NavigationNode`
Sets the page's parent. The generated page will link back to the parent.

Specified by:
  `setParent` in interface `NavigationNode`

#### setSiblings

    public void setSiblings(java.lang.String siblingsTitle,
                   java.util.List siblingPages)

Description copied from interface: `NavigationNode`
Sets a list of `Page`s that are siblings of this page. The generated page will contain a navigation list that links to all siblings. The sibling list may contain the page itself.

Specified by:
  `setSiblings` in interface `NavigationNode`
Parameters:
  `siblingsTitle` - Title for navigation list, e.g. "Monthly Reports"

#### setShowLinkToPreviousSibling

    public void setShowLinkToPreviousSibling(boolean showLink)

Specified by:
  `setShowLinkToPreviousSibling` in interface `NavigationNode`

#### getFullTitle

    public java.lang.String getFullTitle()

Specified by:
  `getFullTitle` in interface `NavigationNode`

#### getShortTitle

    public java.lang.String getShortTitle()

Specified by:
  `getShortTitle` in interface `NavigationNode`

#### getURL

    public java.lang.String getURL()

Specified by:
  `getURL` in interface `NavigationNode`

#### write

    public void write()

Specified by:
  `write` in interface `NavigationNode`

#### asLinkList

    public java.lang.String asLinkList()

#### asParentLink

    public java.lang.String asParentLink()

Specified by:
  `asParentLink` in interface `NavigationNode`